summaryrefslogtreecommitdiff
path: root/CopyToHDD.sh
diff options
context:
space:
mode:
authorAlexis211 <alexis211@gmail.com>2009-11-25 18:42:44 +0100
committerAlexis211 <alexis211@gmail.com>2009-11-25 18:42:44 +0100
commita40fe1166ab1db972a8ca0380d603c4d90eede62 (patch)
treef92c2c02d9d78d68f7c116dff9ac508895f757af /CopyToHDD.sh
parentf367fe4e5a7712bafc121ce5c228f15e90fc5c93 (diff)
downloadMelon-a40fe1166ab1db972a8ca0380d603c4d90eede62.tar.gz
Melon-a40fe1166ab1db972a8ca0380d603c4d90eede62.zip
Re-organized file system stuff.
Diffstat (limited to 'CopyToHDD.sh')
-rwxr-xr-xCopyToHDD.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/CopyToHDD.sh b/CopyToHDD.sh
new file mode 100755
index 0000000..eb6f82c
--- /dev/null
+++ b/CopyToHDD.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# We assume Mount/ is the directory where the image is mounted, and Source/ is the directory with all the compiled files
+
+# GRUB is already installed to image, just update config file if needed
+cp Grub-menu-hdd.cfg Mount/grub/menu.lst
+
+# Create directories
+mkdir Mount/System
+mkdir Mount/System/{Applications,Configuration,Logs,Keymaps}
+mkdir Mount/Applications
+mkdir Mount/Applications/{Demos,Shell}
+
+# Copy welcome text
+cp Source/Kernel/Ressources/Texts/Welcome.txt Mount
+
+# Copy kernel and initramfs
+cp Source/Kernel/Melon.ke Mount/System
+cp Init.rfs Mount/System
+
+# Copy system ressources
+cp Source/Kernel/Ressources/Configuration/* Mount/System/Configuration
+cp Source/Kernel/Ressources/Keymaps/*.mkm Mount/System/Keymaps
+cp Source/Applications/PaperWork/PaperWork Mount/System/Applications/PaperWork.app
+cp Source/Applications/Shell/Shell Mount/Applications/Shell/Shell.app
+cp Source/Applications/Shell/Help.txt Mount/Applications/Shell
+
+# Copy demo apps
+cp Source/Applications/Demos/GOL Mount/Applications/Demos/GOL.app
+cp Source/Applications/Demos/asmdemo Mount/Applications/Demos/ASMDemo.app
+cp Source/Applications/Demos/cxxdemo Mount/Applications/Demos/CPPDemo.app
+
+echo "*** Launching a BASH shell, if you want to do any maintenance ***"
+bash || exit 0